﻿@model List< Bloggie.Web.Models.Domains.BlogPost>
@{

    <div class="bg-secondary bg-opacity-10 py-2">

        <div class="container">
            <h1>Show all BlogPosts - Admin functionality</h1>
        </div>
    </div>

    <div class="container py-5">
        @if (Model !=null && Model.Any())
        {
            <table class="table">
                <thead>
                    <tr>
                        <td>Id</td>
                        <td>Heading</td>
                        <td>Tags</td>
                        <td> </td>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var blogPost in Model)
                    {
                        <tr>
                            <td>
                                @blogPost.Id
                            </td>
                            <td>
                                @blogPost.Heading
                            </td>
                            <td>
                                <div class="d-flex">
                                    @foreach (var tag in blogPost.Tags)
                                    {
                                        <span class="badge bg-secondary me-1">@tag.Name</span>
                                    }
                                </div>
                            </td>
                            <td>
                                <a asp-area=""
                                   asp-controller="AdminBlogPosts"
                                   asp-action="Edit"
                                   asp-route-id="@blogPost.Id">
                                    Edit
                                </a>
                            </td>

                        </tr>
                    }
                </tbody>
            </table>

        }
        else
        {
            <p>No blog posts found</p>
        }
    </div>
}
